<div style="margin-top: 20px;">
	<h5>
	   <span>Penerimaan BPKB & STNK</span>
	</h5>

	<p-tabView> 
		<p-tabPanel header="Penerimaan BPKB & STNK">
			<div class="row margin-row">
				<div class="col-md-12">
					<div class="pull-right">
						<a class="btn btn-primary" [routerLink]="['../bpkb-stnk/list-reference']" >Input Penerimaan</a>
					</div>
				</div>
			</div>

			<p-accordion class="filter-accordion">
				<p-accordionTab header="Filter" [selected]="true">
					<div class="row">
						<div class="col-md-6">
							<div class="form-group">
								<label class="form-control-label">Tanggal Kirim Biro Jasa</label>
								<div class="row">
									<div class="col-md-6">
										<div class="input-group input-calendar">
											<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
										</div>
									</div>
									<div class="col-md-6">
										<div class="input-group input-calendar">
											<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<label>Market Name</label>
								<select class="form-control" id="field_marketName" name="sales">
									<option [ngValue]="null"></option>
									<option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
								</select>
							</div>
						</div>

						<div class="col-md-6">
							<div class="form-group">
								<label class="form-control-label">Tanggal Terima BPKB</label>
								<div class="row">
									<div class="col-md-6">
										<div class="input-group input-calendar">
											<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
										</div>
									</div>
									<div class="col-md-6">
										<div class="input-group input-calendar">
											<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<label>Status</label>
								<select class="form-control" id="field_statusType" name="statusType">
									<option [ngValue]="null"></option>
									<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
								</select>
							</div>
						</div>
					</div>
					<div class="btn-filter-wrapper">
						<button type="button" class="btn btn-primary btn-filter">
							<span>Filter</span>
						</button>
					</div>      
				</p-accordionTab>
			</p-accordion>

			<p-dataTable
				[value]="customVehicleDocumentRequirement"
				[editable]="true"
				[rows]="itemsPerPage"
				[paginator]="true"
				[pageLinks]="5"
				[rowsPerPageOptions]="[10,15,20]"
				[totalRecords]="totalItems"
				[responsive]="true"
				[lazy]="true"
				dataKey="idRequirement"
				expandableRows="false"
				(onLazyLoad)="loadDataLazy($event)"
				(onEditComplete)="updateRowData($event)">
				<p-header>
					
				</p-header>
				<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
				<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
					<ng-template let-rowIndex="rowIndex" pTemplate="body">
						{{rowIndex + 1}}
					</ng-template>
				</p-column>
				<p-column header="No. Reff">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.refNumber}}
					</ng-template>
				</p-column>
				<p-column header="No. Faktur">
					<ng-template let-rowData="rowData" pTemplate="body">
						{{rowData.fakturATPM}}
					</ng-template>
				</p-column>
				<p-column header="No. IVU">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.ivuNumber}}
					</ng-template>
				</p-column>
				<p-column header="Nama STNK">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.name}}
					</ng-template>
				</p-column>
				<!-- <p-column header="Nama 2 STNK">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.note}}
					</ng-template>
				</p-column> -->
				<p-column header="No. Mesin">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.idMachine}}
					</ng-template>
				</p-column>
				<p-column header="Tgl. Kirim Biro Jasa">
					<ng-template let-rowData="rowData" pTemplate="body">
						{{rowData.dateSubmission | date:'dd-MM-yyyy'}}
					</ng-template>
				</p-column>
				<p-column header="Biaya Pengurusan">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.costHandling | number}}
					</ng-template>
				</p-column>
				<p-column header="Biaya Lain">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.otherCost | number}}
					</ng-template>
				</p-column>
				<p-column header="No. Polisi">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.requestPoliceNumber}}
					</ng-template>
				</p-column>
				<p-column header="Notice">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.notice | date:'dd-MM-yyyy'}}
					</ng-template>
				</p-column>
				<p-column header="STNK">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.stnk | date:'dd-MM-yyyy'}}
					</ng-template>
				</p-column>
				<p-column header="Plat Nomor">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.platNomor | date:'dd-MM-yyyy'}}
					</ng-template>
				</p-column>
				<p-column header="No. BPKB">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.bpkbNumber}}
					</ng-template>
				</p-column>
				<p-column header="Tgl. Terima BPKB">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.bpkb | date:'dd-MM-yyyy'}}
					</ng-template>
				</p-column>
				<p-column header="Sales">
					<ng-template let-rowData="rowData" pTemplate="body">
							{{rowData.salesname}}
					</ng-template>
				</p-column>
				<!-- <p-column header="{{'mpmApp.vehicleDocumentRequirement.sur'|translate}}">
					<ng-template let-rowData="rowData" pTemplate="body">
						<div *ngIf="rowData.surId">
							<a [routerLink]="['../sales-unit-requirement', rowData.surId  ]" >{{rowData.surId}}</a>
						</div>
					</ng-template>
				</p-column> -->
				<!-- <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
					<ng-template let-rowData="rowData" pTemplate="body">
						<a>BAST ke HO</a>
					</ng-template>
				</p-column> -->
				<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
				</ng-template>
			</p-dataTable>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter pull-right" (click)="showBastToHo()">
					<span>Print Bast Ke HO</span>
				</button>
			</div>
			<div class="btn-filter-wrapper pull-left">
				<button (click)="showUlangBastToHo()" type="button" class="btn btn-primary btn-filter">
					<span>Print Ulang Bast Ke HO</span>
				</button>
			</div> 
		</p-tabPanel>
		<p-tabPanel header="Revisi">
			<jhi-registration-penerimaan-bpkb-stnk-revisi></jhi-registration-penerimaan-bpkb-stnk-revisi>
		</p-tabPanel>
	</p-tabView>
	<p-dialog header="Print Bast Ke Ho" [(visible)]="printBastKeHoModal" modal="true" [width]="500" [height]="250">
		<div class="row">
			<div class="col-md-12">
				<div class="form-group">
					<label class="form-control-label">No Refference :</label>
					<select class="form-control" 
							id="field_refference" 
							name="refference" 
							[(ngModel)]="selectedRefNumber"
							(change)="setRefNumber()">
						<option [ngValue]="null"></option>
						<option [ngValue]="refferenceOption.refNumber" *ngFor="let refferenceOption of listReferences">{{refferenceOption.refNumber}} - {{refferenceOption.refDate | date:'dd-MM-yyyy'}}</option>
					</select>
				</div>
			</div>
			<!-- <div class="col-md-12">
				<div class="form-group">
					<label class="form-control-label">Tanggal Reference</label>
					<option [ngValue]="refferenceOption.refNumber" *ngFor="let refferenceOption of listReferences">{{refferenceOption.refDate}}</option>
					<input class="form-control" type="text" name="tgl_ref" readonly>{{refferenceOption.refDate}}
				</div>
			</div> -->
			<div class="col-md-12" style="margin-top:10px">
				<button type="button" style="margin-left:10px" class="btn btn-danger pull-right" (click)="printBastToHO()">Print</button>
				<!-- <button type="button" class="btn btn-danger pull-right" (click)="cancel()">Cancel</button> -->
			</div>
		</div>
	</p-dialog>
	<p-dialog header="Print Bast Ke Ho" [(visible)]="printUlangBastKeHoModal" modal="true" [width]="500" [height]="250">
		<div class="row">
			<div class="col-md-12">
				<div class="form-group">
					<label class="form-control-label">No Refference :</label>
					<select class="form-control" 
							id="field_refference" 
							name="refference" 
							[(ngModel)]="selectedRefNumber"
							(change)="setRefNumber()">
						<option [ngValue]="null"></option>
						<option [ngValue]="refferenceOption.refNumber" *ngFor="let refferenceOption of listReferences1">{{refferenceOption.refNumber}} - {{refferenceOption.refDate | date:'dd-MM-yyyy'}}</option>
					</select>
				</div>
			</div>
			<div class="col-md-12" style="margin-top:10px">
				<button type="button" style="margin-left:10px" class="btn btn-danger pull-right" (click)="printUlangBastToHO()">Print</button>
				<!-- <button type="button" class="btn btn-danger pull-right" (click)="cancel()">Cancel</button> -->
			</div>
		</div>
	</p-dialog>
</div>
<div style="margin-top: 10px;"></div>
